<template>
	<view>
		<view class="top-content">
			<!-- 搜索框 -->
			<view class="search-cont">
				<view class="inner">
					<image class="icon-search" src="/static/images/search.png" mode=""></image>
					<input type="text" v-model="keyword" placeholder="输入关键字搜索" confirm-type="search" @confirm="doSearch" placeholder-style="font-size:28rpx;color:#BBBBBB;font-family: PingFang SC;" />
				</view>
			</view>
			<view class="cate-list">
				<!-- 关键字列表 -->
				<scroll-view   scroll-x="true" >
					<view class="inner">
						<view v-for="(item,index) in foodOptions" :key="index" :class="food == item.dictLabel?'item active':'item'" @click="choseFood(item)">
							{{ item.dictLabel }}
						</view>
					</view>
				</scroll-view>
				<scroll-view   scroll-x="true" >
					<view class="inner">
						<view v-for="(item,index) in actionOptions" :key="index" :class="action == item.dictLabel?'item active':'item'" @click="choseAction(item)">
							{{ item.dictLabel }}
						</view>
					</view>
				</scroll-view>
				<scroll-view   scroll-x="true" >
					<view class="inner">
						<view v-for="(item,index) in indicationOptions" :key="index" :class="indication == item.dictLabel?'item active':'item'" @click="choseIndications(item)">
							{{ item.dictLabel }}
						</view>
					</view>
				</scroll-view>
			</view>
		</view>
		<mescroll-body  top="376rpx"  ref="mescrollRef" @init="mescrollInit" @down="downCallback" @up="upCallback" :down="downOption" :up="upOption">
			<view class="article-list">
				<view class="item" v-for="(item,index) in dataList" :key="index" @click="showDetail(item)">
					<view class="top">
						<image :src="item.imgUrl" mode="aspectFill"></image>
					</view>
					<view class="title ellipsis">{{ item.foodName }}</view>
					<view class="desc ellipsis">{{ item.actionTitle }}</view>
				</view>
			</view>
		</mescroll-body>
		
	</view>
</template>

<script>
	import {getDictByKey} from '@/api/common.js'
	import {getMedicatedFoodList} from '@/api/index.js'
	import MescrollMixin from "@/uni_modules/mescroll-uni/components/mescroll-uni/mescroll-mixins.js";
	export default {
		mixins: [MescrollMixin], 
		data() {
			return {
				foodOptions:[],
				actionOptions:[],
				indicationOptions:[],
				action:"",
				food:"",
				indications:"",
				keyword: '',
				mescroll:null,
				downOption: {   //下拉刷新
				 	use:true,
					auto: false // 不自动加载 (mixin已处理第一个tab触发downCallback)
				},
				upOption: {
					onScroll:false,
					use: true, // 是否启用上拉加载; 默认true
					page: {
						pae: 0, // 当前页码,默认0,回调之前会加1,即callback(page)会从1开始
						size: 10 // 每页数据的数量,默认10
					},
					noMoreSize: 10, // 配置列表的总数量要大于等于5条才显示'-- END --'的提示
					textNoMore:"已经到底了",
					empty: {
						icon:'https://cos.his.cdwjyyh.com/fs/20240423/cf4a86b913a04341bb44e34bb4d37aa2.png',
						tip: '暂无数据'
					}
				},
				dataList: []
			};
		},
		onShow() {
			this.getDictByKey("sys_medicated_food");
			this.getDictByKey("sys_medicated_food_action");
			this.getDictByKey("sys_indication");
			
		},
		methods:{
			getDictByKey(key){
				var data={key:key}
				getDictByKey(data).then(
					res => {
						if(res.code==200){
							if(key=="sys_medicated_food"){
								this.foodOptions=res.data;
							}
							if(key=="sys_medicated_food_action"){
								this.actionOptions=res.data;
							}
							if(key=="sys_indication"){
								this.indicationOptions=res.data;
							}
						}
					},
					err => {
					}
				);
				
			},
			doSearch(){
				this.mescroll.resetUpScroll()
			},
			mescrollInit(mescroll) {
				this.mescroll = mescroll;
			},
			/*下拉刷新的回调 */
			downCallback(mescroll) {
				mescroll.resetUpScroll()
			},
			upCallback(page) {
				//联网加载数据
				var that = this;
				var data = {
					food:this.food,
					action:this.action,
					indications:this.indications,
					keyword:this.keyword,
					pageNum: page.num,
					pageSize: page.size
				};
				getMedicatedFoodList(data).then(res => {
					if(res.code==200){
						//设置列表数据
						if (page.num == 1) {
							that.dataList = res.data.list; 
							
						} else {
							that.dataList = that.dataList.concat(res.data.list);
							 
						}
						that.mescroll.endBySize(res.data.list.length, res.data.total);
						
					}else{
						uni.showToast({
							icon:'none',
							title: "请求失败",
						});
						that.dataList = null;
						that.mescroll.endErr();
					}
				});
			},
			choseAction(item) {
				this.action = item.dictLabel;
				this.mescroll.resetUpScroll()
			},
			choseFood(item) {
				this.food = item.dictLabel;
				this.mescroll.resetUpScroll()
			},
			choseIndications(item) {
				this.indications = item.dictLabel;
				this.mescroll.resetUpScroll()
			},
			// 查看详情
			showDetail(item) {
				uni.navigateTo({
					url: './medicatedFoodDetails?id=' + item.id
				})
			}
		}
	}
</script>

<style lang="scss">
	.top-content{
		width: 100%;
		position: fixed;
		top: 0;
		left: 0;
		z-index: 10;
	}
	.search-cont{
		padding: 16upx 30upx;
		background-color: #FFFFFF;
		.inner{
			box-sizing: border-box;
			width: 100%;
			height: 72upx;
			background: #F7F7F7;
			border-radius: 36upx;
			display: flex;
			align-items: center;
			padding: 0 30upx;
			.icon-search{
				width: 28upx;
				height: 28upx;
				margin-right: 20upx;
			}
			input{
				height: 60upx;
				line-height: 60upx;
				flex: 1;
			}
		}
	}
	.cate-list{
		box-sizing: border-box;
		background: #fff;
		padding: 10upx 27upx;
		.inner{
			display: flex;
		}
		.item{
			flex-shrink: 0;
			padding: 0 24upx;
			height: 64upx;
			line-height: 64upx;
			font-size: 28upx;
			font-family: PingFang SC;
			font-weight: 500;
			color: #018C39;
			background: #ffffff;
			border: 1px solid #018C39;
			border-radius: 32upx;
			margin: 0 20upx 20upx 0;
			&.active{
				color: #FFFFFF;
				background: #018C39;
				border: 1px solid #018C39;
			}
		}
	}
	.article-list{
		padding: 0 10upx;
		display: flex;
		align-items: center;
		justify-content: center;
		flex-wrap: wrap;
		.item{
			width: 50%;
			box-sizing: border-box;
			padding: 15upx;
			display: flex;
			flex-direction: column;
			align-items: center;
			justify-content: space-between;
			margin-bottom: 20upx;
			.top{
				width: 100%;
				height: 240upx;
				image{
					border-radius: 20upx;
					width: 100%;
					height: 100%;
				}
			}
			.title{
				text-align: center;
				width: 100%;
				margin-top: 15rpx;
				font-size: 32upx;
				font-family: PingFang SC;
				font-weight: 500;
				color: #111111;
			}
			.desc{
				text-align: center;
				width: 100%;
				margin-top: 15rpx;
				font-size: 28upx;
				font-family: PingFang SC;
				font-weight: 500;
				color: #999999;
			}
			
		}
	}
</style>
